<?php

declare(strict_types=1);

namespace mirzaev\tordv\calculator\controllers;

use mirzaev\tordv\calculator\controllers\core;
use mirzaev\tordv\calculator\models\accounts_model as accounts;

/**
 * Контроллер контактов
 *
 * @package mirzaev\tordv\calculator\controllers
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
final class contacts_controller extends core
{
    /**
     * Контакты (страница)
     *
     * HTML-документ с контактами
     *
     * @param array $vars Параметры
     *
     * @return string HTML-докумкент
     */
    public function index(array $vars = []): string
    {
        // Инициализация журнала ошибок
        $vars['errors'] = ['contacts' => []];

        // Инициализация аккаунта
        $vars['account'] = accounts::account($vars['errors']['contacts']);

        // Генерация представления
        return $this->view->render(DIRECTORY_SEPARATOR . 'contacts' . DIRECTORY_SEPARATOR . 'index.html', $vars);
    }
}
